.App {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    padding: 16px;
}

.Calculator {
    width: 100%;
    max-width: 400px;
    background-color: #ffffff;
    border-radius: 16px;
    overflow: hidden;
    box-shadow: 0 2px 64px rgba(0, 0, 0, 0.2);
}

.Display {
    text-align: right;
    background-color: var(--dark);
    padding: 16px;
    color: var(--light);
    font-size: 24px;
    font-weight: 300;
}

.Display span {
    font-size: 14px;
    color: #888;
}

button {
    appearance: none;
    border: none;
    outline: none;
    padding: 16px;
    font-size: 20px;
    cursor: pointer;
    transition: 0.4s;
}

button:hover {
    opacity: 0.9;
}

.Operators {
    display: flex;
}

.Operators button {
    flex: 1 1 0;
    background-color: var(--primary);
    font-weight: 700;
}
.Digits{
    display: flex;
    flex-wrap: wrap;
}
.Digits button {
    flex: 1 1 33.333%;
    background-color: var(--dark);
    font-weight: 700;
    max-width: 33.333%;
    color: #ffffff;
}
